Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.multi
Class MultiTextUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.swing.plaf.TextUI
              javax.swing.plaf.multi.MultiTextUI

public class MultiTextUI
extends TextUI

A multiplexing UI used to combine `TextUI`s.

This file was automatically generated by AutoMulti.

Field Summary
`protected Vector` | `uis` The vector containing the real UIs.

Constructor Summary
`MultiTextUI()`

Method Summary
`boolean` | `contains(JComponent a, int b, int c)` Invokes the `contains` method on each UI handled by this object.
`static ComponentUI` | `createUI(JComponent a)` Returns a multiplexing UI instance if any of the auxiliary `LookAndFeel`s supports this UI.
`void` | `damageRange(JTextComponent a, int b, int c)` Invokes the `damageRange` method on each UI handled by this object.
`void` | `damageRange(JTextComponent a, int b, int c, Position.Bias d, Position.Bias e)` Invokes the `damageRange` method on each UI handled by this object.
`Accessible` | `getAccessibleChild(JComponent a, int b)` Invokes the `getAccessibleChild` method on each UI handled by this object.
`int` | `getAccessibleChildrenCount(JComponent a)` Invokes the `getAccessibleChildrenCount` method on each UI handled by this object.
`EditorKit` | `getEditorKit(JTextComponent a)` Invokes the `getEditorKit` method on each UI handled by this object.
`Dimension` | `getMaximumSize(JComponent a)` Invokes the `getMaximumSize` method on each UI handled by this object.
`Dimension` | `getMinimumSize(JComponent a)` Invokes the `getMinimumSize` method on each UI handled by this object.
`int` | `getNextVisualPositionFrom(JTextComponent a, int b, Position.Bias c, int d, Position.Bias[] e)` Invokes the `getNextVisualPositionFrom` method on each UI handled by this object.
`Dimension` | `getPreferredSize(JComponent a)` Invokes the `getPreferredSize` method on each UI handled by this object.
`View` | `getRootView(JTextComponent a)` Invokes the `getRootView` method on each UI handled by this object.
`String` | `getToolTipText(JTextComponent a, Point b)` Invokes the `getToolTipText` method on each UI handled by this object.
`ComponentUI[]` | `getUIs()` Returns the list of UIs associated with this multiplexing UI.
`void` | `installUI(JComponent a)` Invokes the `installUI` method on each UI handled by this object.
`Rectangle` | `modelToView(JTextComponent a, int b)` Invokes the `modelToView` method on each UI handled by this object.
`Rectangle` | `modelToView(JTextComponent a, int b, Position.Bias c)` Invokes the `modelToView` method on each UI handled by this object.
`void` | `paint(Graphics a, JComponent b)` Invokes the `paint` method on each UI handled by this object.
`void` | `uninstallUI(JComponent a)` Invokes the `uninstallUI` method on each UI handled by this object.
`void` | `update(Graphics a, JComponent b)` Invokes the `update` method on each UI handled by this object.
`int` | `viewToModel(JTextComponent a, Point b)` Invokes the `viewToModel` method on each UI handled by this object.
`int` | `viewToModel(JTextComponent a, Point b, Position.Bias[] c)` Invokes the `viewToModel` method on each UI handled by this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### uis

    protected Vector uis

  The vector containing the real UIs. This is populated in the call to `createUI`, and can be obtained by calling the `getUIs` method. The first element is guaranteed to be the real UI obtained from the default look and feel.

Constructor Detail

### MultiTextUI

    public MultiTextUI()

Method Detail

### getUIs

    public ComponentUI[] getUIs()

  Returns the list of UIs associated with this multiplexing UI. This allows processing of the UIs by an application aware of multiplexing UIs on components.

### getToolTipText

    public String getToolTipText(JTextComponent a,
                                 Point b)

  Invokes the `getToolTipText` method on each UI handled by this object.

  Overrides:
    `getToolTipText` in class `TextUI`
  Returns:
    the value obtained from the first UI, which is the UI obtained from the default `LookAndFeel`
  See Also:
    `JTextComponent.getToolTipText(java.awt.event.MouseEvent)`

### modelToView

    public Rectangle modelToView(JTextComponent a,
                                 int b)
                          throws BadLocationException

  Invokes the `modelToView` method on each UI handled by this object.

  Specified by:
    `modelToView` in class `TextUI`
  Parameters:
    `b` - the local location in the model to translate >= 0
  Returns:
    the value obtained from the first UI, which is the UI obtained from the default `LookAndFeel`
  Throws:
    `BadLocationException` - if the given position does not represent a valid location in the associated document

### modelToView

    public Rectangle modelToView(JTextComponent a,
                                 int b,
                                 Position.Bias c)
                          throws BadLocationException

  Invokes the `modelToView` method on each UI handled by this object.

  Specified by:
    `modelToView` in class `TextUI`
  Parameters:
    `b` - the local location in the model to translate >= 0
  Returns:
    the value obtained from the first UI, which is the UI obtained from the default `LookAndFeel`
  Throws:
    `BadLocationException` - if the given position does not represent a valid location in the associated document

### viewToModel

    public int viewToModel(JTextComponent a,
                           Point b)

  Invokes the `viewToModel` method on each UI handled by this object.

  Specified by:
    `viewToModel` in class `TextUI`
  Parameters:
    `b` - the location in the view to translate. This should be in the same coordinate system as the mouse events.
  Returns:
    the value obtained from the first UI, which is the UI obtained from the default `LookAndFeel`

### viewToModel

    public int viewToModel(JTextComponent a,
                           Point b,
                           Position.Bias[] c)

  Invokes the `viewToModel` method on each UI handled by this object.

  Specified by:
    `viewToModel` in class `TextUI`
  Parameters:
    `b` - the location in the view to translate. This should be in the same coordinate system as the mouse events.
    `c` - filled in by this method to indicate whether the point given is closer to the previous or the next character in the model
  Returns:
    the value obtained from the first UI, which is the UI obtained from the default `LookAndFeel`

### getNextVisualPositionFrom

    public int getNextVisualPositionFrom(JTextComponent a,
                                         int b,
                                         Position.Bias c,
                                         int d,
                                         Position.Bias[] e)
                                  throws BadLocationException

  Invokes the `getNextVisualPositionFrom` method on each UI handled by this object.

  Specified by:
    `getNextVisualPositionFrom` in class `TextUI`
  Parameters:
    `b` - the position to convert >= 0
    `d` - the direction from the current position that can be thought of as the arrow keys typically found on a keyboard. This may be SwingConstants.WEST, SwingConstants.EAST, SwingConstants.NORTH, or SwingConstants.SOUTH.
  Returns:
    the value obtained from the first UI, which is the UI obtained from the default `LookAndFeel`
  Throws:
    `BadLocationException`

### damageRange

    public void damageRange(JTextComponent a,
                            int b,
                            int c)

  Invokes the `damageRange` method on each UI handled by this object.

  Specified by:
    `damageRange` in class `TextUI`
  Parameters:
    `b` - the beginning of the range >= 0
    `c` - the end of the range >= p0

### damageRange

    public void damageRange(JTextComponent a,
                            int b,
                            int c,
                            Position.Bias d,
                            Position.Bias e)

  Invokes the `damageRange` method on each UI handled by this object.

  Specified by:
    `damageRange` in class `TextUI`
  Parameters:
    `b` - the beginning of the range >= 0
    `c` - the end of the range >= p0

### getEditorKit

    public EditorKit getEditorKit(JTextComponent a)

  Invokes the `getEditorKit` method on each UI handled by this object.

  Specified by:
    `getEditorKit` in class `TextUI`
  Returns:
    the value obtained from the first UI, which is the UI obtained from the default `LookAndFeel`

### getRootView

    public View getRootView(JTextComponent a)

  Invokes the `getRootView` method on each UI handled by this object.

  Specified by:
    `getRootView` in class `TextUI`
  Returns:
    the value obtained from the first UI, which is the UI obtained from the default `LookAndFeel`

### contains

    public boolean contains(JComponent a,
                            int b,
                            int c)

  Invokes the `contains` method on each UI handled by this object.

  Overrides:
    `contains` in class `ComponentUI`
  Parameters:
    `a` - the component where the x,y location is being queried; this argument is often ignored, but might be used if the UI object is stateless and shared by multiple components
    `b` - the x coordinate of the point
    `c` - the y coordinate of the point
  Returns:
    the value obtained from the first UI, which is the UI obtained from the default `LookAndFeel`
  See Also:
    `JComponent.contains(int, int)`, `Component.contains(int, int)`

### update

    public void update(Graphics a,
                       JComponent b)

  Invokes the `update` method on each UI handled by this object.

  Overrides:
    `update` in class `ComponentUI`
  Parameters:
    `a` - the `Graphics` context in which to paint
    `b` - the component being painted; this argument is often ignored, but might be used if the UI object is stateless and shared by multiple components
  See Also:
    `ComponentUI.paint(java.awt.Graphics, javax.swing.JComponent)`, `JComponent.paintComponent(java.awt.Graphics)`

### createUI

    public static ComponentUI createUI(JComponent a)

  Returns a multiplexing UI instance if any of the auxiliary `LookAndFeel`s supports this UI. Otherwise, just returns the UI object obtained from the default `LookAndFeel`.

### installUI

    public void installUI(JComponent a)

  Invokes the `installUI` method on each UI handled by this object.

  Overrides:
    `installUI` in class `ComponentUI`
  Parameters:
    `a` - the component where this UI delegate is being installed
  See Also:
    `ComponentUI.uninstallUI(javax.swing.JComponent)`, `JComponent.setUI(javax.swing.plaf.ComponentUI)`, `JComponent.updateUI()`

### uninstallUI

    public void uninstallUI(JComponent a)

  Invokes the `uninstallUI` method on each UI handled by this object.

  Overrides:
    `uninstallUI` in class `ComponentUI`
  Parameters:
    `a` - the component from which this UI delegate is being removed; this argument is often ignored, but might be used if the UI object is stateless and shared by multiple components
  See Also:
    `ComponentUI.installUI(javax.swing.JComponent)`, `JComponent.updateUI()`

### paint

    public void paint(Graphics a,
                      JComponent b)

  Invokes the `paint` method on each UI handled by this object.

  Overrides:
    `paint` in class `ComponentUI`
  Parameters:
    `a` - the `Graphics` context in which to paint
    `b` - the component being painted; this argument is often ignored, but might be used if the UI object is stateless and shared by multiple components
  See Also:
    `ComponentUI.update(java.awt.Graphics, javax.swing.JComponent)`

### getPreferredSize

    public Dimension getPreferredSize(JComponent a)

  Invokes the `getPreferredSize` method on each UI handled by this object.

  Overrides:
    `getPreferredSize` in class `ComponentUI`
  Parameters:
    `a` - the component whose preferred size is being queried; this argument is often ignored, but might be used if the UI object is stateless and shared by multiple components
  Returns:
    the value obtained from the first UI, which is the UI obtained from the default `LookAndFeel`
  See Also:
    `JComponent.getPreferredSize()`, `LayoutManager.preferredLayoutSize(java.awt.Container)`

### getMinimumSize

    public Dimension getMinimumSize(JComponent a)

  Invokes the `getMinimumSize` method on each UI handled by this object.

  Overrides:
    `getMinimumSize` in class `ComponentUI`
  Parameters:
    `a` - the component whose minimum size is being queried; this argument is often ignored, but might be used if the UI object is stateless and shared by multiple components
  Returns:
    the value obtained from the first UI, which is the UI obtained from the default `LookAndFeel`
  See Also:
    `JComponent.getMinimumSize()`, `LayoutManager.minimumLayoutSize(java.awt.Container)`, `ComponentUI.getPreferredSize(javax.swing.JComponent)`

### getMaximumSize

    public Dimension getMaximumSize(JComponent a)

  Invokes the `getMaximumSize` method on each UI handled by this object.

  Overrides:
    `getMaximumSize` in class `ComponentUI`
  Parameters:
    `a` - the component whose maximum size is being queried; this argument is often ignored, but might be used if the UI object is stateless and shared by multiple components
  Returns:
    the value obtained from the first UI, which is the UI obtained from the default `LookAndFeel`
  See Also:
    `JComponent.getMaximumSize()`, `LayoutManager2.maximumLayoutSize(java.awt.Container)`

### getAccessibleChildrenCount

    public int getAccessibleChildrenCount(JComponent a)

  Invokes the `getAccessibleChildrenCount` method on each UI handled by this object.

  Overrides:
    `getAccessibleChildrenCount` in class `ComponentUI`
  Returns:
    the value obtained from the first UI, which is the UI obtained from the default `LookAndFeel`
  See Also:
    `ComponentUI.getAccessibleChild(javax.swing.JComponent, int)`

### getAccessibleChild

    public Accessible getAccessibleChild(JComponent a,
                                         int b)

  Invokes the `getAccessibleChild` method on each UI handled by this object.

  Overrides:
    `getAccessibleChild` in class `ComponentUI`
  Parameters:
    `b` - zero-based index of child
  Returns:
    the value obtained from the first UI, which is the UI obtained from the default `LookAndFeel`
  See Also:
    `ComponentUI.getAccessibleChildrenCount(javax.swing.JComponent)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2003 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.